/*
 * Copyright (c) 2002-2003 IST-2004-2006-511731 ModelWare - ModelBus.
 * All rights reserved.
 *
 * This software is published under the terms of the ModelBus Software License
 * in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * A copy of ModelBus Software License is provided with this distribution in
 * doc/LICENSE.txt file.
 */

/*
 * Created on 17 juin 2005
 *
 */
package org.eclipse.mddi.modelbus.adapter.test.framework;

import org.eclipse.mddi.modelbus.adapter.user.AdapterStub;


/**
 * @author Prawee Sriplakich, Andrey Sadovykh (LIP6)
 *
 *
 */
public class ProviderTest extends AdapterTest {
    
    
    public ProviderTest(AdapterStub _adapter) {
        setAdapter(_adapter);
    }    
    
    public void deploy() throws Exception {
        adapter.deploy();        
    }
    
    public void undeploy() throws Exception {
        adapter.undeploy();        
    }   

}
